GET /api/v3/meter/{meterId}/digest/savings/monthly

Retrieves rolled up savings billing data for a given meter for a given number of years- Result includes cost and use savings on a monthly basis.

GetMeterSavingsMonthlyV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The identifier for the meter being retrieved integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to two years/24 months integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MeterDigestSavingsMonthlyResponse
Property Description Type
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterCAP MeterCAPResponse
MeterCAPResponse properties
Property Description Type
baseStart The meter’s baseline start date string (date-time)
includeInCAP Indicates if the meter is included or not included in cost avoidance calculations boolean
savingStart The meter’s savings start date string (date-time)
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of monthly data MeterDigestSavingsMonthlyResponse+Results[]
MeterDigestSavingsMonthlyResponse+Results properties
Property Description Type
batccCommonUse BATCC (Baseline Adjusted to Current Conditions) Common Use number (double)
batccNativeUse BATCC (Baseline Adjusted to Current Conditions) Native Use number (double)
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonUse Common Use number (double)
days The number of days in the period integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
nativeUse Native Use number (double)
periodName Calendar Period Name string
savingsCommonUse Savings Common Use = BATCCCommonUse - CommonUse number (double)
savingsNativeUse Savings Native Use = BATCCNativeUse - NativeUse number (double)
savingsTotalCost Total Cost number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commonUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "meterCAP": {    "baseStart": "2026-03-30",    "includeInCAP": false,    "savingStart": "2026-03-30"
  },  "meterCode": "string",  "meterId": 1,  "meterInfo": "string",  "nativeUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "batccCommonUse": 1.0,    "batccNativeUse": 1.0,    "calendarPeriod": 1,    "calendarYear": 1,    "commonUse": 1.0,    "days": 1,    "fiscalPeriod": 1,    "fiscalYear": 1,    "nativeUse": 1.0,    "periodName": "string",    "savingsCommonUse": 1.0,    "savingsNativeUse": 1.0,    "savingsTotalCost": 1.0
  }
  ],  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.